[facebook] Remove deprecated read_stream permission

Bug #1493733 reported by Alberto Mardegan on 2015-09-09
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Canonical System Image
High
David Barth
Online Accounts: Account plugins
Critical
Alberto Mardegan
account-polld (Ubuntu)
Undecided
Unassigned

Bug Description

From https://developers.facebook.com/docs/facebook-login/permissions#reference:
"read_stream - This permission is only available for apps using Graph API version v2.3 or older."

We don't need this permission anyway, since even account-polld cannot work with the new facebook APIs.

The Facebook plugin should also be removed from account-polld.

Related branches

Alberto Mardegan (mardy) on 2015-09-09
description: updated
Changed in canonical-devices-system-image:
assignee: nobody → David Barth (dbarth)
importance: Undecided → High
status: New → Triaged
milestone: none → ww46-2015
Changed in canonical-devices-system-image:
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (6.1 KiB)

This bug was fixed in the package account-polld - 0.1+15.10.20151016.1-0ubuntu1

---------------
account-polld (0.1+15.10.20151016.1-0ubuntu1) wily; urgency=medium

  [ Alberto Mardegan ]
  * Remove non-working facebook integration. (LP: #1493733)
  * debian/control, debian/account-polld.conf:
    Remove mentions of Facebook from the descriptions.

  [ Niklas Wenzel ]
  * Tell libsignon-glib not to open a trust session by passing
    SIGNON_POLICY_NO_USER_INTERACTION as the
    SIGNON_SESSION_DATA_UI_POLICY value (part of the issue experienced
    in LP: #1496773) (LP: #1496773)
  * When authentification of an account fails continuously, we should
    wait a bit before trying again (part of the issue experienced in LP:
    #1496773) (LP: #1496773)

account-polld (0.1+15.04.20150410-0ubuntu2~gcc5.1) wily; urgency=medium

  * No-change test rebuild for g++5 ABI transition

account-polld (0.1+15.04.20150410-0ubuntu1) vivid; urgency=medium

  [ John R. Lenton ]
  * Fix an unfortunate wording (lp:1365206); also, re-ran the
    update_translations script. (LP: #1365206)
  * Stripped authors from copyright notices; it's a maintenance
    nightmare and serves no purpose.

  [ Niklas Wenzel ]
  * [r=chipaca] directly poll with new account fix
  * [r=chipaca] handle auth failure better
  * [r=chipaca] make poll() always send over doneChan

  [ Sergio Schvezov ]
  * fix update_translations.sh

account-polld (0.1+15.04.20141210.1-0ubuntu1) vivid; urgency=low

  [ John R. Lenton ]
  * first pass at grouping notifications by plugin (next pass: make
    gmail track threads, not messages). (LP: #1400749)

account-polld (0.1+14.10.20141006.1-0ubuntu1) utopic; urgency=low

  [ Guillermo Gonzalez ]
  * Log unseen value when skipping a message

  [ Roberto Alsina ]
  * Use identifiers and API keys provided by the respective webapps
    which are the official end points for the notifications. Respect
    blacklist gsetting to skip polling for notifications that are not
    going to be shown .

account-polld (0.1+14.10.20140910-0ubuntu1) utopic; urgency=low

  [ Guillermo Gonzalez ]
  * Add a 5 min constraint to the facebook chat notifications, only send
    it if it is 5min old. Also new unittests for the facebook plugin.

account-polld (0.1+14.10.20140828-0ubuntu1) utopic; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Guillermo Gonzalez ]
  * Initial version of inbox/messages polling.

account-polld (0.1+14.10.20140825.1-0ubuntu1) utopic; urgency=low

  [ CI bot ]
  * Switch from self polling to being polled by the push client that
    manages the power state

  [ Sergio Schvezov ]
  * Adding gmail avatar's through QtContacts

account-polld (0.1+14.10.20140811.1-0ubuntu1) utopic; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Sergio Schvezov ]
  * Persist gmail reported ids and recover on boot
  * Facebook pretty notifications, persistence (with multiple account
    support)

account-polld (0.1+14.10.20140806.1-0ubuntu1) utopic; urgency=low

  [ Sergio Schvezov ]
  * Translation fixes
  * Packaging fixes: remove host arch from debian/rules, install to bin
    instead of lib; start only when the push client session is available

account-polld (0.1+14.10.201408...

Read more...

Changed in account-polld (Ubuntu):
status: New → Fix Released
Changed in canonical-devices-system-image:
status: Fix Committed → Fix Released
Alberto Mardegan (mardy) on 2016-10-12
Changed in account-plugins:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers